summaryrefslogtreecommitdiff
path: root/dev-python/sphobjinv
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 05:48:38 -0500
commitbfd9c39e4712ebdb442d4ca0673061faed1e70e1 (patch)
tree0d7a74b4463ee387f9cf9368ceb1b757f694f72a /dev-python/sphobjinv
parentf716a9fe6455d39eef01e718aae68dae61c19704 (diff)
downloadbaldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.gz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.tar.xz
baldeagleos-repo-bfd9c39e4712ebdb442d4ca0673061faed1e70e1.zip
Revert "Adding metadata"
This reverts commit f716a9fe6455d39eef01e718aae68dae61c19704.
Diffstat (limited to 'dev-python/sphobjinv')
-rw-r--r--dev-python/sphobjinv/Manifest2
-rw-r--r--dev-python/sphobjinv/metadata.xml23
-rw-r--r--dev-python/sphobjinv/sphobjinv-2.3.1.3.ebuild56
-rw-r--r--dev-python/sphobjinv/sphobjinv-2.4.ebuild61
4 files changed, 142 insertions, 0 deletions
diff --git a/dev-python/sphobjinv/Manifest b/dev-python/sphobjinv/Manifest
new file mode 100644
index 000000000000..f33c9654273b
--- /dev/null
+++ b/dev-python/sphobjinv/Manifest
@@ -0,0 +1,2 @@
+DIST sphobjinv-2.3.1.3.gh.tar.gz 1347156 BLAKE2B a6e44b61c3458b1288bd7d5f4c5b9e55821ea299ef4cfee75e42bd3a37919f2c031f5063b16aa22fc9c508057aef49f836948b8da4c49b67ee5396f1234fbab5 SHA512 bfb02f212cc3099ec694b9983d2dce2f38f2e9385821e3ffc077ea6a559844c0c92362effa4da6026cf778a925fc3d5c4ca6ad8d4dc0ccabd3bc64e79dded934
+DIST sphobjinv-2.4.gh.tar.gz 1344715 BLAKE2B 3c96a8e0f6b38d4bb76e3bb073b28bd1106dff1807b49850b0aad5db51ddde2a6a071923d34b79625da9511900fe848f8b9962e3e427784b40a40de353191fbe SHA512 6b756ecca9ed8f8435dce073a6e1c76400fde586472d7fb14230f11fde9d2613890a1cebb9c3fed27085a27ee947573c51769e726278cb8268c82dd6e2abeeac
diff --git a/dev-python/sphobjinv/metadata.xml b/dev-python/sphobjinv/metadata.xml
new file mode 100644
index 000000000000..dd8bed6989d1
--- /dev/null
+++ b/dev-python/sphobjinv/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+Using Sphinx?
+
+Having trouble writing cross-references?
+
+sphobjinv (short for ‘sphinx objects.inv’) can help!
+
+The syntax required for a functional Sphinx cross-reference is highly non-obvious in many cases. Sometimes Sphinx can guess correctly what you mean, but it’s pretty hit-or-miss. The best approach is to provide Sphinx with a completely specified cross-reference, and that’s where sphobjinv comes in.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">bskinn/sphobjinv</remote-id>
+ <remote-id type="pypi">sphobjinv</remote-id>
+ </upstream>
+ <stabilize-allarches/>
+</pkgmetadata>
diff --git a/dev-python/sphobjinv/sphobjinv-2.3.1.3.ebuild b/dev-python/sphobjinv/sphobjinv-2.3.1.3.ebuild
new file mode 100644
index 000000000000..da45891d9591
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.3.1.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+ https://github.com/bskinn/sphobjinv/
+ https://pypi.org/project/sphobjinv/
+"
+SRC_URI="
+ https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ >=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/fuzzywuzzy[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dictdiffer[${PYTHON_USEDEP}]
+ >=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{check,rerunfailures,timeout} )
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ README.rst::README.rst
+ tests/test_readme.py::test_readme_shell_cmds
+)
+
+src_prepare() {
+ sed -e '/CLI_TEST_TIMEOUT/s/2/20/' -i tests/test_cli.py || die
+
+ # remove bundled deps
+ rm -r src/sphobjinv/_vendored || die
+ sed -i -e 's:sphobjinv[.]_vendored[.]::' src/sphobjinv/*.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/sphobjinv/sphobjinv-2.4.ebuild b/dev-python/sphobjinv/sphobjinv-2.4.ebuild
new file mode 100644
index 000000000000..0c08d2cb1fef
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+ https://github.com/bskinn/sphobjinv/
+ https://pypi.org/project/sphobjinv/
+"
+SRC_URI="
+ https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ >=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/fuzzywuzzy[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dictdiffer[${PYTHON_USEDEP}]
+ >=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{check,rerunfailures,timeout} )
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ README.rst::README.rst
+ tests/test_readme.py::test_readme_shell_cmds
+ # TODO
+ tests/test_cli.py::TestSuggestGood::test_cli_suggest_paginated
+ # minor CLI test, confused by being called via 'python -m pytest'
+ tests/test_cli.py::TestMisc::test_cli_noargs_shows_help
+ tests/test_cli_textconv.py::TestMisc::test_cli_noargs_shows_help
+)
+
+src_prepare() {
+ sed -e '/CLI_TEST_TIMEOUT/s/2/20/' -i tests/test_cli.py || die
+
+ # remove bundled deps
+ rm -r src/sphobjinv/_vendored || die
+ sed -i -e 's:sphobjinv[.]_vendored[.]::' src/sphobjinv/*.py || die
+
+ distutils-r1_src_prepare
+}